Subject: bug#9302: nmail-extra-headers too mysterious

From: Dave Abrahams <[email-masked]>
Date: Fri, 19 Aug 2011 08:28:56 -0400

on Fri Aug 19 2011, Reiner Steib <reinersteib+gmane-AT-imap.cc> wrote:

> On Thu, Aug 18 2011, Dave Abrahams wrote:
>
>> Hmm, I was not using any kind of creative limit―it would have been one
>> of the built-in options (perhaps `/ A' ?)
>
> `gnus-summary-limit-to-address' or `gnus-summary-limit-to-recipient'.
>
>> Maybe this means the default for nnmail-extra-headers is wrong.
>> Shouldn't the built-in queries work out-of-the-box?
>
> I don't have a strong opionion about adding Cc to the default of
> `nnmail-extra-headers', but keep in mnd the just adding it doesn't
> make it work automatically for old mail, cf. ...
>
> ,----[ (info "(gnus)To From Newsgroups") ]
> |    A related variable is `nnmail-extra-headers', which controls when to
> | include extra headers when generating overview (NOV) files.  If you
> | have old overview files, you should regenerate them after changing this
> | variable, by entering the server buffer using `^', and then `g' on the
> | appropriate mail server (e.g. nnml) to cause regeneration.
> `----

Understood.  I just think it's crazy to have a default configuration
where built-in commands that are in the menus and enabled will
unconditionally cause an error.

-- 
Dave Abrahams
BoostPro Computing
http://www.boostpro.com